# smesh.Mesh_Triangle Class Reference

Class to define a triangle 2D algorithm. More...

Inheritance diagram for smesh.Mesh_Triangle:

## Public Member Functions
def | __init__
| Private constructor.
def | MaxElementArea
| Define "MaxElementArea" hypothesis to give the maximun area of each triangles.
def | LengthFromEdges
| Define "LengthFromEdges" hypothesis to build triangles based on the length of the edges taken from the wire.
def | GetSubMesh
def | GetAlgorithm
| Return the wrapped mesher.
def | TreatHypoStatus
| Private method.
def | Create
| Private method.
def | Hypothesis
| Private method.
## Data Fields
| mesh
| geom
| subm
| algo
## Static Public Attributes
int | mesh = 0
int | geom = 0
int | subm = 0
int | algo = 0

## Detailed Description

More details.

## Member Function Documentation

def smesh.Mesh_Triangle.__init__ | ( |  | self,
|  |  | mesh,
|  |  | geom = `0`
| ) |

def smesh.Mesh_Triangle.MaxElementArea | ( |  | self,
|  |  | area
| ) |

  | Parameters:
  | area | for the maximum area of each triangles

def smesh.Mesh_Triangle.LengthFromEdges | ( |  | self | ) |

def smesh.Mesh_Algorithm.GetSubMesh | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.GetAlgorithm | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.TreatHypoStatus | ( |  | self,
|  |  | status,
|  |  | hypName,
|  |  | geomName,
|  |  | isAlgo
| ) | `[inherited]`

| Print error message if a hypothesis was not assigned.

def smesh.Mesh_Algorithm.Create | ( |  | self,
|  |  | mesh,
|  |  | geom,
|  |  | hypo,
|  |  | so = `"libStdMeshersEngine.so"`
| ) | `[inherited]`

def smesh.Mesh_Algorithm.Hypothesis | ( |  | self,
|  |  | hyp,
|  |  | args = `[]`,
|  |  | so = `"libStdMeshersEngine.so"`
| ) | `[inherited]`

## Field Documentation

int smesh.Mesh_Algorithm.mesh = 0`[static, inherited]`

smesh.Mesh_Algorithm.mesh`[inherited]`

int smesh.Mesh_Algorithm.geom = 0`[static, inherited]`

smesh.Mesh_Algorithm.geom`[inherited]`

int smesh.Mesh_Algorithm.subm = 0`[static, inherited]`

smesh.Mesh_Algorithm.subm`[inherited]`

int smesh.Mesh_Algorithm.algo = 0`[static, inherited]`

smesh.Mesh_Algorithm.algo`[inherited]`